<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:output method="text" encoding="ISO-8859-1" indent="yes"/>
	<xsl:strip-space elements="*" />

   <xsl:template match="SentOrderDB">
		<!-- <xsl:for-each select="order">		
       		<xsl:value-of select="recipient/recompany" />,<xsl:value-of select="recipient/restreet1" />
       	</xsl:for-each> -->
       	<xsl:apply-templates select="order"/>
       	
   </xsl:template>
   
   <xsl:template match="order">
		<xsl:variable name="re">
			<xsl:number format="1"/><xsl:text>;</xsl:text>
			<xsl:value-of select="recipient/recompany" /><xsl:text>;</xsl:text>
   			<xsl:value-of select="recipient/recontact" /><xsl:text>;</xsl:text>
	   		<xsl:value-of select="recipient/rephone"/><xsl:text>;</xsl:text>
   	   		<xsl:value-of select="recipient/restreet1" /><xsl:text>;</xsl:text>
	   		<xsl:value-of select="recipient/restreet2" /><xsl:text>;</xsl:text>
	   		<xsl:value-of select="recipient/restreet3" /><xsl:text>;</xsl:text>
	   		<xsl:value-of select="recipient/recountrycode" /><xsl:text>;</xsl:text>
	   		<xsl:value-of select="recipient/rezip1" /><xsl:text>;</xsl:text>
	   		<xsl:value-of select="recipient/recity" /><xsl:text>;</xsl:text>
		</xsl:variable>
   		<xsl:for-each select="packetcontainer/colli">
   			<xsl:value-of select="$re"/>
   			<xsl:value-of select="weight" /><xsl:text>&#xA;</xsl:text>
   		</xsl:for-each>
   </xsl:template>
   
</xsl:stylesheet>

